#!../../bin/linux-x86_64/BBA130_BBA150_BBL200

#- You may have to change BBA130_BBA150_BBL200 to something else
#- everywhere it appears in this file

< envPaths

epicsEnvSet(ETHER,"192.168.1.12:5025")
epicsEnvSet(P,"BBA130_BBA150_BBL200")
epicsEnvSet(R,"")
epicsEnvSet("BBA130_BBA150_BBL200","../../db")
epicsEnvSet("STREAM_PROTOCOL_PATH","../../db")

## Register all support components
dbLoadDatabase("../../dbd/BBA130_BBA150_BBL200.dbd",0,0)
BBA130_BBA150_BBL200_registerRecordDeviceDriver(pdbbase) 

drvAsynIPPortConfigure("L0","$(ETHER)", 0, 0, 0)
asynOctetSetInputEos("L0",0,"\n")
asynOctetSetOutputEos("L0",0,"\n")

#asynSetTraceMask("L0", -1, 0x9)
#asynSetTraceIOMask("L0", -1, 0x2)

## Load record instances
dbLoadRecords("../../db/devBBA130_BBA150_BBL200.db","P=$(P),PORT=L0,R=$(R),A=-1,user=root")

iocInit()

## Start any sequence programs
#seq sncBBA130_BBA150_BBL200,"user=root"
